require "doorkeepr/engine"
require "doorkeepr/nerve"
require "doorkeepr/config"

module Doorkeepr
  class << self
    def config
      @config ||= Doorkeepr::Config.new
    end
    def publish
      Doorkeepr::Nerve.publish if defined? ::Rails::Server
    end
    def paths
      @paths ||= []
    end
  end
end

