module Doorkeepr
  class Config < OpenStruct
    def initialize params={}
      params[:host]          = ::Rails::Server.new.options[:Host] if defined? ::Rails::Server
      params[:host]          = "localhost" if params[:host] ==  "0.0.0.0"
      params[:host]        ||= "localhost"
      params[:port]          = ::Rails::Server.new.options[:Port] if defined? ::Rails::Server
      params[:port]        ||= 3000
      params[:url]           = ::Rails.application.class.parent_name.underscore.gsub(/_/,"-").sub(/$/,".dev")
      params[:url]         ||= "rails.dev"
      params[:customer]    ||= `whoami`.strip
      params[:application] ||= params[:url]
      params[:service]     ||= "rails"
      super params
    end
    def to_json
      @table.to_json
    end
  end
end