module Doorkeepr
  class Engine < ::Rails::Engine
    isolate_namespace Doorkeepr
    config.before_initialize do |app|
      Doorkeepr.config if defined? ::Rails::Server
    end
    config.after_initialize do |app|
      app.routes.prepend do
        mount Doorkeepr::Engine => 'doorkeepr', as: :doorkeepr
      end
      Doorkeepr.publish
    end
  end
end
